Tag: build.gradle

Die Datei build.gradle beschreibt die Standard-Aktionen und Aufgaben, die eingeleitet durch „gradle“ – Befehl in die entsprechenden Ordner.

Wie Sie mehrere Gläser ausgeschlossen werden von Gradle Build

Anzahl der Antworten 1 Antworten
Ich bin mit dem folgenden segment zu bauen.gradle ausschließen eine jar aus meinem build-Prozess: compile fileTree(dir: 'libs', exclude: 'androidannotations-api-2.7.1.jar' , include: '*.jar') Kann mir jemand bitte mir sagen wie kann ich ausschließen, 1 Glas mit diesem Befehl

Execution failed for task 'app:prepareDebugAndroidTestDependencies'

Anzahl der Antworten 1 Antworten
Ich versuche zu bauen, UI-tests für meine Applikation für Android in Android-Studio. Das problem ist, dass ich Sie nicht ausführen. Ich bekomme die Meldung: Execution failed for task 'app:prepareDebugAndroidTestDependencies", die ich nicht finden konnte, um was es

Wie erstellen gradle Aufgabe, die immer läuft?

Anzahl der Antworten 3 Antworten
Bin ich wahrscheinlich etwas Blick ziemlich core/offensichtlich, aber wie kann ich eine Aufgabe erstellen, die immer ausgeführt werden, für jede Aufgabe/Ziel? Kann ich etwas tun wie: task someTask << { println "I sometimes run" } println "I

Gewusst wie: hinzufügen ojdbc7 Java web-app von Gradle?

Anzahl der Antworten 4 Antworten
Meinen Kontext: Erstelle ich einen Java web-Anwendung auf Basis von Spring Boot 1.3.5.RELEASE . Ich versuche, um ojdcb Abhängigkeiten der Liste aber nicht den Erfolg. Ich weiß, dass Oracle eigenes Maven-repository an http://maven.oracle.com Dies ist mein build.gradle

Android studio fügt unerwünschte Erlaubnis nach dem ausführen der Anwendung auf einem echten Gerät

Anzahl der Antworten 3 Antworten
Nach dem ausführen der Anwendung auf dem Gerät Anwendung unerwünschte Standort-Berechtigung, nicht zu erwähnen, in der manifest-Datei. Während wenn ich auf der gleichen code von meinem Freund Android studio als sein normal ausführen, ohne extra Genehmigung erforderlich.

Upgrade Spring-Boot-Anwendung auf die Neueste Version

Anzahl der Antworten 1 Antworten
Ich habe eine Spring-Boot-Projekt basiert auf Spring Framework 4.3.7.RELEASE und Spring Boot 1.5.2.RELEASE. Ich den Java-Konfigurations-Ansatz. Wie aktualisiere ich dieses Projekt auf die neueste version von Spring Boot und Spring Framework (Spring Boot 2.x, Spring Framework 5.x)?

Android: Fehler:Execution failed for task ':app:transformClassesWithJarMergingFordebug'

Anzahl der Antworten 3 Antworten
Bin immer en Fehler, während Sie versuchen, führen Sie das Projekt Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: android/support/annotation/DimenRes.class Hier ist mein bauen.gradle apply plugin: 'com.android.application' android { compileSdkVersion 'Google Inc.:Google APIs:23' buildToolsVersion "24.0.0"

Build-Fehler, die auf Android-Studio

Anzahl der Antworten 1 Antworten
Nach der Aktualisierung werden alle Google-support-Bibliotheken auf die neuesten Versionen, von v21 auf v22.2.0-und-Play-Services v7.5, mein Projekt nicht mehr erfolgreich erstellt. Der log den ich bekomme, ist wie folgt: app:preDexDebug AGPBI: {"kind":"simple","text":"Picked up JAVA_TOOL_OPTIONS: -javaagent:/usr/share/java/jayatanaag.jar ","sources":[{}]} AGPBI:

Importieren von externen jar-Datei in Android-Studio---NoClassDefFoundError

Anzahl der Antworten 2 Antworten
Erstellte ich ein neues Projekt mit Android Studio und kopiert ein jar-Datei in meine Anwendung die libs. Dann fügte es als eine Bibliothek, welche aus der IDE erkennen. Später, ich habe es auf die build.gradle und es

Gradle: Ausführen einer Aktion nur, wenn eine Aufgabe nicht

Anzahl der Antworten 1 Antworten
Möchte ich öffnen Sie die report-Datei, die mehrere der "check" und "test" - plugins, die ich benutze, wenn eine überprüfung fehlschlägt. Ich weiß, ich verwenden können "finalizedBy zum ausführen einer anderen Aufgabe, egal, ob die original-Aufgabe ausgeführt

Problem einrichten Dolch 2.x für Android auf AndroidStudio3.0 Canary4

Anzahl der Antworten 2 Antworten
Bekomme ich folgenden Fehler beim einrichten der Dolch 2.x in Android Studio 3.0 Canary 4 Error:(71, 20) zu lösen Gescheitert: com.google.Dolch:der Dolch:2.x Error:(73, 20) zu lösen Gescheitert: com.google.Dolch:der Dolch-android:2.x Error:(74, 20) zu lösen Gescheitert: com.google.Dolch:der Dolch-android-Unterstützung:2.x Meine

Konnte nicht finden, die Methode der Umsetzung() für die Argumente

Anzahl der Antworten 1 Antworten
Ich versuche meine app, aber gradle nicht wollen, um es zu verfassen. Können Sie mir sagen, was soll ich tun ? Error:(36, 0) nicht finden Konnte-Methode-Durchführung() für die Argumente [Kom.google.FB:FB-appindexing:11.6.2] auf Objekt des Typs org.gradle.api.intern.Artefakte.dsl.Abhängigkeiten.DefaultDependencyHandler. Meine app

custom-gradle-plugin Ursachen: Nicht konfiguriert 'publizieren' - Erweiterung

Anzahl der Antworten 4 Antworten
Habe ich eine custom-gradle-plugin, in der benutzerdefinierte task-Typen und gradle-Konfigurationen Hinzugefügt werden. Wenn ich dieses plugin vor maven-publish es funktioniert einwandfrei. Aber wenn ich es nach apply plugin: 'maven-publish' es scheitert mit der Fehlermeldung : FAILURE: Build

Die Definition von benutzerdefinierten 'bauen' Aufgabe ist es veraltet bei Verwendung von standard-lifecycle-plugin ist veraltet und soll entfernt werden, Gradle 3.0

Anzahl der Antworten 1 Antworten
Stehe ich vor einem Problem in meinem build.gradle script Mein script ist bascially Darstellung der POM-Datei und kopieren Sie dann das Artefakt zu andere location, als auch unter build/lib, die mit verschiedenen Namen.Die Frage, die ich bin

Die tatsächliche Verwendung von benutzerdefinierten Konfigurationen in gradle

Anzahl der Antworten 1 Antworten
Ich bin neu in gradle und kämpft mit einem grundsätzlichen problem. Ich habe eine Reihe von compile-time Abhängigkeiten deklariert in meinem Projekt. Mein problem Aussage ist, ich möchte, um eine Teilmenge der Abhängigkeiten, die nicht transitiv sind

Gradle: ersetzen von Token mit Projekt-Eigenschaften

Anzahl der Antworten 1 Antworten
Ich habe die resource-Datei mit ein paar Token, die ersetzt werden müssen mit Datei-Pfade unter Verwendung der java-plugin-Aufgabe 'processResources'. Tut gradle bieten eine Möglichkeit, in denen der token-Wert ist ein Ausdruck? 1) src/resources/config.properties-Datei hat ein token: SRC_ROOT_DIR

Gradle build failed: java.util.zip.ZipException: doppelter Eintrag: org/apache/commons/io/CopyUtils.class

Anzahl der Antworten 5 Antworten
Beim ausführen der app auf meinem nexus 7, das gradle-build schlägt fehl, und jedes mal gibt den gleichen Fehler: > com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: org/apache/commons/io/CopyUtils.class Der Fehler scheint zu zeigen, dass CopyUtils.class aus commons-io wird zweimal in

Android Studio wirft Google Repository ist nicht installiert in der SDK-Manager

Anzahl der Antworten 2 Antworten
Ich versuche, fügen Sie Google Maps auf meinem Android-Projekt und ich war nach dieser Anleitung: http://developer.android.com/google/play-services/setup.html Jedoch, wenn ich versuche, um compile 'com.google.android.gms:play-services:5.0.77' meiner build.gradle, AndroidStudio sagt Dependency on Play Services, but the SDK installation does not

So Lesen Sie eine json-Datei zu erstellen.gradle und die Werte der strings in der build.gradle-Datei

Anzahl der Antworten 1 Antworten
beispielsweise Lesen Sie die json-Datei in build.gradle und verwenden die json-Werte als Zeichenfolgen in die Datei { "type":"xyz", "properties": { "foo": { "type": "pqr" }, "bar": { "type": "abc" }, "baz": { "type": "lmo" } } }

Wie Bearbeiten Sie den code der Bibliothek importiert und mit Gradle in Android Studio?

Anzahl der Antworten 1 Antworten
Ich bin vor ein kleines problem mit einer meiner Bibliotheken in Android-Studio. Dieser ist importiert mit einem Gradle-Datei wie diese : dependencies { compile 'com.github.navasmdc:MaterialDesign:[email protected]' } Es ist ein bekanntes Problem, von dessen GitHub repository ich kann

Gradle Überspringen Test

Anzahl der Antworten 2 Antworten
Ich bin auf der Suche nach einem Weg, um überspringen tests aus einem der Projekte in einem multi-build-Projekt. Ich möchte nicht gradle build-x test, weil dann wird es überspringen test für alle sub - Projekte. Root Sub

Error : Execution failed for task ':app:dexDebug " in android studio

Anzahl der Antworten 4 Antworten
Ich neu Android-Projekt gestartet, ein neues Standard-Projekt. Jedes mal wenn ich versuche die app zu starten, tritt dieser Fehler auf: bauen.gradle(Module:app) apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.1.2" defaultConfig { applicationId "com.example.jdevani.validationdemo" minSdkVersion 8 targetSdkVersion

Android-Gradle-Frage

Anzahl der Antworten 3 Antworten
Ich weiß es gibt 100 von den Fragen/Antworten rund um dieses Thema, aber keiner von Ihnen scheinen mir eine Antwort geben. Ich weiß, dass einige(wenn nicht alle) meine Probleme sind um meinen Mangel an Verständnis von gradle

Konnte nicht gefunden com.squareup.picasso:picasso:2.5.2

Anzahl der Antworten 5 Antworten
Ich hinzufügen picasso Abhängigkeiten scheinen aber es nicht funktionierte. Ich habe versucht, die änderung der version. Aber immer noch nutzlos. Diese meine bauen.gradle (module) apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion '23.0.3' defaultConfig { applicationId "bhouse.travellist_starterproject"

Android-Gradle - Was zu verwenden anstelle von compileOnly?

Anzahl der Antworten 3 Antworten
Gemäß den folgenden, SO post, compile geworden implementation vor kurzem: Was ist der Unterschied zwischen der Umsetzung und kompilieren Sie in gradle Meine Frage ist was sollte ich verwenden, anstatt compileOnly? Den post oben nicht berücksichtigt, dass

gradle Fehler nicht finden Konnte-Methode dependencyManagement()

Anzahl der Antworten 1 Antworten
Unten ist mein build.gradle buildscript { ext { springBootVersion = '2.0.0.M3' } dependencies { classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}") } } apply plugin: 'org.springframework.boot' apply plugin: 'maven-publish' dependencyManagement { imports { mavenBom 'org.springframework.cloud:spring-cloud-starter-parent:Brixton.SR7' } } dependencies { compile("org.springframework.cloud:spring-cloud-starter-eureka") compile "org.elasticsearch:elasticsearch:5.5.0" testCompile('org.springframework.boot:spring-boot-starter-test')

Zu lösen gescheitert gemeinsamen öffnen der Datei gradle.bauen

Anzahl der Antworten 2 Antworten
Ich habe gekämpft, mit den letzten 6 Stunden über diesen einen Fehler, den ich nicht imstande bin zu lösen.Ich importierte Projekt direkt aus nextgis github. Bitte identifizieren Sie, was falsch ist und wie man es beheben. hier's

Konnte nicht gefunden com.google.FB:FB-lädt:15.0.2

Anzahl der Antworten 3 Antworten
Ich versuche, das update auf die 15.x-API-version des FB-Produkte. Irgendwie die FB-lädt:15.0.2 kann nicht gefunden werden: Could not find com.google.firebase:firebase-invites:15.0.2. Searched in the following locations: file:/D:/SDK/extras/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom file:/D:/SDK/extras/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar file:/D:/SDK/extras/google/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom file:/D:/SDK/extras/google/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar file:/D:/SDK/extras/android/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom file:/D:/SDK/extras/android/m2repository/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar https://jcenter.bintray.com/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom https://jcenter.bintray.com/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar https://jitpack.io/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.pom https://jitpack.io/com/google/firebase/firebase-invites/15.0.2/firebase-invites-15.0.2.jar

Alle com.google.android.gms-Bibliotheken müssen mit der exakt gleichen Spezifikation version?

Anzahl der Antworten 1 Antworten
Bekomme ich die folgende Warnmeldung in meinem build-Klasse für die Zeile compile 'com.google.android.gms:play-services-analytics:9.2.0'. Was bedeutet das? All com.google.android.gms libraries must use the exact same version specification (mixing versions can lead to runtime crashes). Found versions 9.2.0, 8.4.0.

Fehler bei der Bereitstellung eines REST-service über das Trikot auf einer Virtuellen Maschine

Anzahl der Antworten 1 Antworten
Habe ich eine einfache web-service-Verfügbarmachen von Java-Ressourcen, die über REST mit Jersey2 und Steg. Es funktioniert gut auf meinem laptop ist localhost. Wenn ich jedoch die Bereitstellung des gleichen code in einer virtuellen Maschine auf meinem Unternehmens-Netzwerk,

so ändern Sie android-app-Namen in der build gradle-Datei

Anzahl der Antworten 5 Antworten
Ich erstelle verschiedene Eissorten mit gradle für 2 kleine android-apps ,ich will nur wissen, ob ich Bearbeiten können app-Namen auf die xml-Datei in den build ein.gradle , für meine verschiedenen Geschmacksrichtungen . InformationsquelleAutor wissem46 | 2014-03-24

Die gradle-Datei, verwenden um die Anwendung als debug-Version einer?

Anzahl der Antworten 2 Antworten
Ich bin Neuling auf android-Entwicklung. Ich habe gerade angefangen, mein Gerät zu Debuggen meiner Anwendung. zwar werde durch android-tools entwickeln es sagt, zu setzen buildTypes debuggable auf true in der build.gradle-Datei . Ich bin mir nicht sicher,

Build gradle : could not find-Methode packagingOptions() für die Argumente root-Projekt "fasterDev"

Anzahl der Antworten 1 Antworten
Bin ich mit dem build.gradle-Datei in der Anwendung. Bezüglich der version 1.6 ist es richtig funktioniert. aber ich möchte dies für Standort-update-mit-Modul. apply plugin: 'com.android.application' ... dependencies { compile 'com.google.android.gms:play-services:fp9.0.0' } Hier ist mein build.gradle. bauen.gradle buildscript

ViewPagerIndicator-Abhängigkeit mit Gradle und Android Studio

Anzahl der Antworten 2 Antworten
Ich habe gerade den Wechsel von Eclipse zu Android Studio, und ich habe einige Probleme mit einem Projekt von mir verwendet ViewPagerIndicator Dies ist das Gradle-code: repositories { mavenCentral() } dependencies { compile 'com.viewpagerindicator:library:2.4.1' compile 'com.android.support:support-v4:19.0.+' compile

Gradle Bauen Gescheitert: "auftrat Auswertung von Stamm-Projekt schei...um eine Aufgabe zu erstellen, oder geben Sie "gettype"

Anzahl der Antworten 1 Antworten
Ich bin nach dem basic-Gradle Android tutorial hier: https://github.com/jvoegele/gradle-android-plugin Aber bekomme die folgende Fehlermeldung beim ausführen von gradle assemble: * What went wrong: A problem occurred evaluating root project 'MyAndroidApp'. > Problem: failed to create task or

Probleme mit Apache HttpComponents in Android-Gradle-Projekt

Anzahl der Antworten 3 Antworten
Ich versuche zu zählen httpmime in meine Anwendung mit dem bauen.gradle-Datei, und alles kompiliert einwandfrei. Stattdessen, wenn die Anwendung versucht, um tatsächlich die MultipartEntityBuilder Klasse, es gibt eine Reihe von WARN-level-Nachrichten, die auf die log sagt, dass

Error:Execution failed for task , beendet mit nicht-null exit-Wert 1

Anzahl der Antworten 6 Antworten
Error:Execution failed for task ':onyxenrollwizardsampleapp:processDebugResources'. com.android.ide.common.Prozess.ProcessException: org.gradle.Prozess.intern.ExecException: Prozess 'Befehl 'C:\Android\sdk\build-tools\23.0.2\aapt.exe" finished with non-zero exit-Wert 1 Hier ist mein Gradle-Datei. Bitte helfen Sie mir aus apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { applicationId "com.example.onyx_enroll_wizard_sample_app"

Wie kann ich Aromen in einem Modul mit Android Studio?

Anzahl der Antworten 1 Antworten
Habe ich eine Reihe von Projekten, die den gleichen Modul, enthält fast alle der eigentliche code. Das Projekt-setup wie: project/ - app/ - build.gradle - libraries/ - module/ - build.gradle - build.gradle - settings.gradle Die Abhängigkeiten sind

Android Studio zu bauen.gradle - Cannot resolve symbol 'android'

Anzahl der Antworten 2 Antworten
Ich habe mich durch die tutorial hier und alles funktioniert, außer für meinen build.gradle. Alles, was in der 'android' - Abschnitt ist Unterstrichen und die Meldung "Cannot resolve symbol" Fehlermeldung. Dies ist in Android Studio 0.3.1. Ich

Wie generieren Sie die war-Datei in Gradle-Projekt

Anzahl der Antworten 1 Antworten
Habe ich das erstellen einer Beispiel-gradle-Projekt. Mein Projekt erstellen generiert eine jar-Datei.Ich bin mit der gradle clean build Befehl. Wie erstelle ich eine war-Datei für mein Projekt statt der jar-Datei? InformationsquelleAutor user5761830 | 2016-03-29

Wie zu beheben, die Android Studio-Fehler an, wenn Sie es nicht finden können das Projekt Manifest-Datei?

Anzahl der Antworten 6 Antworten
Bin ich die Migration meiner legacy-Projekt von Eclipse zu Android studio. Ich habe die folgenden Dinge: Exportieren und generieren von gradle-build-Dateien in eclipse Importiert die Gradle.build-Datei in Android Studio Veränderte mein gradle-version Abhängigkeiten zu: classpath 'com.android.tools.bauen:gradle:0.9.+' Mein

Android: Execution failed for task ':app:processDebugResources'

Anzahl der Antworten 9 Antworten
Error:Execution failed for task ':app:processDebugResources'. com.android.ide.common.Prozess.ProcessException: org.gradle.Prozess.intern.ExecException: Prozess 'Befehl '/home/mobi27/opt/UND-Studio/Android/Sdk/build-tools/22.0.1/aapt" finished with non-zero exit-Wert 1 Haben Sie die aktuelle build-tools? Ja das habe ich schon installiert, neuesten build-tools hey yahska, hast du es lösen noch? sorry. Ich

Gradle: so fügen Sie eine benutzerdefinierte Aufgabe nach Erstellung, aber vor der Verpackung-Dateien in einem Jar?

Anzahl der Antworten 1 Antworten
Meine bauen.gradle ist derzeit: project(':rss-middletier') { apply plugin: 'java' dependencies { compile project(':rss-core') compile 'asm:asm-all:3.2' compile 'com.sun.jersey:jersey-server:1.9.1' compile group: 'org.javalite', name: 'activejdbc', version: '1.4.9' } jar { from(configurations.compile.collect { it.isDirectory() ? it : zipTree(it) }) { exclude

Konnte nicht ausgeführt build mit Gradle distribution "http://services.gradle.org/distributions/gradle-1.6-bin.zip'

Anzahl der Antworten 2 Antworten
Es ist ein Fehler in der Android-Studio, wenn das Projekt gebaut wird: Den Fehler in der Android-Studio: Gradle: Der Befehl "C:\Program" ist entweder falsch geschrieben oder konnte nicht gefunden werden. FAILURE: Build failed with an exception. *

Gradle Fehler: "could not find-Eigenschaft '...' auf Stamm-Projekt '...'

Anzahl der Antworten 1 Antworten
Ich versuche bauen, mein Java-Projekt mit Gradle und ich bin immer folgende: Starting Build Settings evaluated using settings file 'C:\Users\MyName\Java8\MyJavaProject\settings.gradle'. Projects loaded. Root project using build file 'C:\Users\MyName\Java8\MyJavaProject\build.gradle'. Included projects: [root project 'MyJavaProject'] Evaluating root project 'MyJavaProject'

Gradle | Spring boot dependencies sind nicht ohne

Anzahl der Antworten 2 Antworten
Ich versuche, log4j arbeiten in einem Projekt, an dem ich arbeite. Ich habe den entsprechenden log4j Abhängigkeiten im build.gradle und ausgeschlossen die Spring-boot-starter-Protokollierung, damit es funktionieren kann. Dies funktionierte gut, wenn ich Maven als build-tool, aber sobald

Gradle der Abhängigkeits-cache ist beschädigt

Anzahl der Antworten 6 Antworten
Ich habe bereits versucht zu Entkräften,/Cache und Neustart habe auch versucht zu entfernen .und gradle gradle-Datei.. aber dieses problem zeigt noch oben. Error:Unable to find-Methode 'com.android.build.gradle.BaseExtension.getTestVariants()Lorg/gradle/api/internal/DefaultDomainObjectSet;'. Mögliche Ursachen für dieses unerwartete Fehler enthalten: Gradle ist Abhängigkeit cache

Wie verwenden von Oracle-JDBC-Treiber in Gradle-Projekt

Anzahl der Antworten 5 Antworten
Ich bin neu mit Gradle-Projekten und ich habe eine Frage. Ich habe gesucht im Internet, aber ich konnte Sie nicht finden, was ich brauche, oder vielleicht konnte ich nicht wissen, wie Sie es suchen. Zuerst werde ich

NoClassDefFoundError mit Jackson 2.2.x auf Android mit Gradle

Anzahl der Antworten 2 Antworten
Für mein Android Projekt einrichten ich Gradle mit Jackson 2.2.x wie folgt: //build.gradle buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.6.+' } } apply plugin: 'android' repositories { mavenCentral() } android { compileSdkVersion 18 buildToolsVersion

Mehrere dex-Dateien definieren, Landroid/support/v4/ in android studio

Anzahl der Antworten 2 Antworten
Kann ich integrate (add & work) with many libraries. Aber ActionBarSherlock Bibliothek, ich habe so viele Probleme mit ihm. Erste Ausgabe ist das beliebte Thema Multiple dex files define, Ich weiß, Die duplicated android-support-v4.jar es bewirkt, aber